<?php

namespace App\Manager\Toolbar\Definition;

use App\Manager\Toolbar\Element\ToolbarButton;
use App\Manager\Toolbar\Element\ToolbarDivider;

class ActivityToolbar extends Toolbar
{
    public function __construct(array $contextData = [])
    {
        $this
            ->addToLeftGroup(new ToolbarButton('arrows-rotate', 'Refresh', 'toolbar#refreshActivity'))
            ->addToLeftGroup(new ToolbarDivider())
            ->addToLeftGroup(new ToolbarButton('trash-can', 'Remove Selected', 'toolbar#removeActivity'))

            ->addToRightGroup(new ToolbarButton('th-large', 'Options', 'toolbar#optionActivity'))
        ;
    }
}
